package cn.wisenergy.service;

import cn.wisenergy.model.app.WorkProject;
import cn.wisenergy.model.dto.ProjectDto;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkProjectService {

    /**
     * 功能：根据项目id获取项目
     * @param id
     * @return
     */
    WorkProject getById(Integer id);


    List<WorkProject>  getNameById(List<Integer> ids);


    /**
     * 功能： 查询当前用户所管理的项目
     * @param id
     * @return
     */
    List<ProjectDto> getByManagerId(Integer id);


    /**
     * 获取用户管理的项目
     * @param userId
     * @return
     */
    List<WorkProject> getUserManageProjects(Integer userId);
}
